Subject: Re : Re: Re : Re: Re : Re: Re : Re: Re : Re: [EDUC]1ère version argumentaire LL<=> enseignement de l'informatique
From: [email-masked]
To: David Chemouil <[email-masked]>
Cc: [email-masked]
Date: Thu, 17 Oct 2013 20:23:46 +0200 (CEST)
List-Id: <educ.april.org>

----- David Chemouil <[email-masked]> a écrit :
> Le 16/10/2013 14:58, [email-masked] a écrit :
> > Il n'y a pas de déconnexion. Nos contextes ne sont pas les mêmes.
> > Tu enseignes la science informatique dans un milieu de recherche universitaire.
> > Les principes de la science informatique des pères fondateurs restent
> > toujours valables aujourd'hui. Pour autant, ils restent réservés à
> > une élite en ce qu'ils n'entrent pas dans le cursus secondaire
> > pour constituer une culture commune informatique.
> 
> Bon ils sont déjà (en version light) dans l'option ISN grosso modo. En 
> tout cas dans le bouquin de Dowek et al.

Salut David,

Bien qu'extrêmement fatigué après 7 heures de cours avec des enfants
de collège et des problèmes d'intendance à gérer, je vais tenter de
répondre.

L'objectif est d'arriver à trouver un consensus pour établir nos positions.
Sur de nombreux points, la position de Rémi Boulle était très claire.
Il nous faut à la fois envisager l'informatique à l'école comme science,
comme technologie et comme culture commune informatique/numérique ayant
pour ambition : l'émancipation.

"Les activités éducatives, du moins celles qui sont assurées par des organismes 
étatiques, doivent enseigner uniquement les logiciels libres (et donc ne devraient 
jamais conduire les élèves à utiliser un programme non libre), et devraient enseigner 
les raisons civiques de promouvoir le logiciel libre. Enseigner un programme non libre 
revient à enseigner la dépendance, ce qui est contraire à la mission de l’école.".
Richard Stallman : Mesures à la portée des gouvernements pour promouvoir le logiciel libre.

Ce qui dépasse le simple champ scientifique et technologique et 
touche également aux équipements, aux stratégies politiques, aux lobbies, aux contenus
de programmes d'enseignement...

Les lobbies du numérique privateur de libertés véhiculent une idéologie qui vise,
entre autre, à travers un certain nombre de discours : l'informatique comme outil,
comme compétences transversales d'usages cloisonnées, désormais comme médias numériques,
etc et etc, à réduire les logiciels libres au rang de simples produits.

Le danger serait alors de raisonner dans les termes de l'adversaire, en contre-miroir,
et de promouvoir nous aussi des produits.

C'est pourquoi j'ai tenu à affirmer qu'enseigner l'informatique et/ou enseigner
l'informatique libre était du pareil au même. Il n'y a pas d'un côté une science informatique
et de l'autre une science informatique spécifique aux logiciels libres, si l'on se réfère
aux concepts fondateurs de l'informatique.

Pour autant, cela ne veut pas dire qu'enseigner la science informatique et/ou à plus
forte raison les technolologies informatiques dans un environnement propriétaire
c'était du pareil au même.

Sans l'irruption, comme une transgression des cultures scientifiques, du logiciel privateur,
l'informatique libre n'aurait pas vu le jour. En ce sens, je partage à 100% le propos
de Vincent-Xavier Jumel qui écrit :

a) le logiciel privateur est un frein à la transmission. 

Et il cite à titre d'exemple, et il y en a mille autres, l'élève qui remet un document
dans un mauvais format. J'ai vécu la même chose aujourd'hui. Pour avancer le travail,
je demande aux élèves de préparer le travail sur une clé USB. Une jeune fille n'a pas pu 
ouvrir son fichier, réalisé sous je ne sais quel logiciel sous Mac OS X et dû refaire 
le travail en classe sous Libre Office.

Vincent-Xavier Jumel pose alors la question : doit-il pour autant se mettre lui aussi 
à utiliser des logiciels propriétaires ?

Tu lui réponds :

"je ne vois pas ce problème comme un problème informatique en tant que tel.
Comme un problème technique de standards, oui.".

Je ne suis qu'à moitié d'accord.

Certes, c'est un problème de normes et de standards. Et en ce sens, c'est un problème
technologique.

Question : pourquoi l'interopérabilité est-elle exclue des notions fondamentales
des programmes de technologie en collège ?
Autre exemple qui rebondit sur le propos de François-Xavier à propos des freins.

Mais à y regarder de plus prêt, c'est aussi une question qui concerne également
la science informatique ; en ce que, par delà les standards, se pose la question
des données, du codage de l'information, du format des données, sans la connaissance
desquelles, la problématique de l'interopérabilité se limiterait aux seules 
questions sociales et politiques où tu la relègues.

Et en ce sens l'approche didactique d'un enseignement de l'informatique libre
diffère d'une approche purement scientifique déconnectée des pratiques sociales,
auto-centrée sur elle-même.

C'est également cela que nous devons construire : des éléments de programmes
scolaires où la culture scientifique et technologique est émancipatrice.

Et ce qui diffère fondamentalement mon approche de celle de l'EPI et/ou
de Dowek que tu réfères plus haut, c'est le terrain. Et en ce sens, je rejoins
là encore à 100% François-Xavier qui te dit : 

"Tu objecteras qu'une partie de mon travail est de le former à
l'utilisation des logiciels, mais c'est se méprendre sur le temps dont
 nous disposons face aux élèves".

C'est dans les conditions concrètes des rythmes scolaires, des conditions
réelles d'exercice, de gouvernance de l'école que nous devons penser un enseignement
de la science et des technologies informatiques, et ce dans une perspective
pluridisciplinaire où la science informatique tient une place fondamentale,
sans être définie pour autant comme une discipline segmentée de plus,
d'un lycée napoléonien qui bat de l'aile.

> > Le rapport de l'inspection générale sur le numérique commandité par Peillon n'a
> > pas pour objet de répondre à la question des contenus d'un enseignement
> > de l'informatique et du numérique, mais de comment développer un marché
> > français et européen du numérique éducatif estimé, dans le point d'étape du
> > rapport sur la stratégie numérique de Peillon,  aux Etats-Unis, à un milliard d'Euros.
> >
> > On est en plein informatique et numérique comme "produits", comme marché.
> > De ce fait "travailler avec le numérique" ne signifie un apprentissage de pair
> > à pair où les professeurs et les élèves produisent du savoir, mais dans
> > une approche où ils doivent consommer des "produits" numériques privateurs.
> >
> > On a donc là deux modèles pédagogiques, deux modèles d'enseignement
> > complètement opposés.
> 
> Mais il me semble qu'à ce niveau, ce n'est même plus un problème de 
> cours d'informatique. C'est un problème de marchandisation de l'école, 
> en profitant de la "numérisation". Marchandisation qui est effectivement 
> à combattre de toutes ses forces (et où on voit au passage la même philo 
> que dans la base élève : créer des travailleurs soumis).

Une fois qu'on a parlé de "marchandisation" on fait quoi ?
On a tout dit et rien dit.

D'une part, en ce qu'il ne s'agit pas de marchandises réelles mais de signes
de la marchandise ; c'est-à-dire de sa virtualisation en tant qu'idéologie
matérialisée par le signe de la valeur qu'est la monnaie.
Je laisse ce débat de côté, c'est un autre débat, c'est un autre sujet.

En revanche, quand tu dis que ce n'est pas un problème d'informatique et je rajoute 
technologique. Je ne suis pas d'accord en ce qu'il s'agit d'un nouvel obscurantisme
qui véhicule tout un tas de contre-vérités de type : la terre est plate.

Je peux développer :)

> >> Concernant ESR, je m'étonne que tu ne tiennes pas compte "d'où il
> >> parle".
> >
> > Ce n'était pas le but de mon propos. Je me suis référé à un texte que la plupart
> > d'entre nous connaissent et donc auquel je peux me référencer.
> 
> Je me suis pas bien exprimé : c'était une surprise pour moi eu égard à 
> tes convictions, pas une leçon que je te faisais.

Il m'arrive également de me référer aussi par exemple à Von Neumann qui,
d'après ce qu'on m'a dit était assez chtarbé pour proposer de balancer
une bombe atomique sur la Corée du nord, tant il était viscéralement
anti-communiste.

Il n'en demeure pas moins qu'il s'est battu devant les tribunaux pour que
les principes de l'ordinateur ne soient pas l'objet d'une prise de brevet
et appartiennent à l'humanité.

Tu m'apprends qu'ESR est aryaniste. Pourtant, il a écrit le bazar et la 
cathédrale qui est un texte de référence et dont les implications sont
aussi vraies pour démontrer que l'approche de l'informatique propriétaire
à l'école, y compris dans la production de code dans certains IUT (et à ce 
propos François-Xavier parle de «répétitif passif», concept qu'il faudra,
après examen peut être reprendre et développer) est réflexive de la production
du code des logiciels privateurs.

> > Je ne fais pas l'apologie du Libertarianism. On est totalement d'accord
> > sur les positions politiques de ce type qui plus est, fondateur du
> > mouvement open source.
> 
> Dans son cas, tu peux même dire "lybertARYANism"...
> 
> 
> >> qui a intérêt à ce que le LL
> >> apparaisse comme bazar et le proprio comme cathédrale (enfin, leurs
> >> modèles de développement). En ce sens, oui il est proche de la démarche
> >> de Popper qui a quand même largement construit son critère dans
> >> l'objectif d'exclure certaines disciplines du champ du savoir. Position
> >> idéologique donc... Ceci dit : pourquoi pas, s'il n'avançait pas cachée
> >> sous couvert d'objectivité ?
> >
> > Pardonne-mon inculture sur ce point précis. J'ai lu Popper et je m'y suis
> > plus d'une fois référé pour appuyer par des références communes la critique
> > du raisonnement par induction, mais je ne savais pas qu'il avait exclu
> > des disciplines du champ du savoir.
> 
> Désolé c'est hors-sujet. Par exclusion du champ du savoir, j'entends par 
> là que les disciplines deviennent "jugées" à l'aune de ce critère 

Je n'ai jamais rien lu de tel chez Popper. Il ne fait qu'appliquer sa
méthode de critique du raisonnement par induction qui lui interdit précisément
de se situer en tant qu'observateur de l'universel.

> qu'on met alors dans le même sac toutes les disciplines qui ne sont pas 
> des sciences selon ce critère. Puis on se sert de cet argument pour les 
> exclure de l'université, lieu de rassemblement des "champs du savoir". 
> Si j'ose dire, le critère de Popper est un support au FUD académique. 
> Qui en est exclu ? La psychanalyse bien sûr pour commencer, que le 
> critère permet de présenter comme de l'astrologie, une secte, un délire, 
> enfin ce genre de choses. 

Je suis septique. Il me semble qu'il ne faudrait pas mélanger des penseurs
néo-staliniens comme Sokhal avec Franck Popper. De plus, de nombreux courants
psychanalytiques ne revendiquent pas la psychanalyse comme une science, 
Lacan par exemple.

De plus, nous étions les seuls au sein du DESS d'Ethnométhodologie de Paris 8
où j'ai enseigné de nombreuses années et où j'ai été détaché, à ouvrir
nos portes, y compris aux astrologues, en démontrant en nous appuyant
précisément sur Karl Popper qu'il s'agissait d'un système de divination
au même titre que les systèmes experts de l'IA de cette époque qui étaient
aussi des machines divinatoires.
Nous pratiquions l'interdiscipline jusque là.

> Mais ce n'est qu'un début : y passeront toutes 
> les disciplines "molles", et quelques autres. L'idéal de scientificité 
> est un rouleau compresseur qui laminera la médecine (cf l'essor de 
> l'evidence-based medecine), la psychiatire, la socio, la philo 
> continentale, le structuralisme... Le truc amusant, c'est que comme ça a 
> été remarqué, le critère exclut aussi la logique et les mathématiques. 
> Bref. J'en reste là, c'est un autre débat.

Oui, c'est un autre débat que l'on pourra réprendre pour le plaisir.

Mais en attendant, il nous faut trouver des points de convergence
pour que l'April soit également présente sur le terrain des enseignements
de la dite science informatique, de la technologie, du numérique.

Et le débat que nous menons y participe. Il permet de décanter.

Bien à toi,
Librement,
Charlie
--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ